using System;
using System.ComponentModel;

namespace DeviceRepair.Models.DeviceRepair.ExportView
{
    public class MaintainOrderView
    {
        /// <summary>
        /// 序号
        /// </summary>
        [Description("No.\n序号")]
        public int AutoNumber { get; set; }

        /// <summary>
        /// 工厂
        /// </summary>
        [Description("Plant\n工厂")]
        public int Plant { get; set; }

        /// <summary>
        /// 订单
        /// </summary>
        [Description("Orde\n订单")]
        public int AutoID { get; set; }

        /// <summary>
        /// 技术标识号
        /// </summary>
        [Description("Technical identification number\n技术标识号")]
        public string EquipmentID { get; set; }

        /// <summary>
        /// 技术对象描述
        /// </summary>
        [Description("Technical object description\n技术对象描述")]
        public string EquipmentName { get; set; }

        /// <summary>
        /// 实际下达日期
        /// </summary>
        [Description("Actual order date Month/day\n实际下达日期")]
        public string FormCreatOnDate { get; set; }

        /// <summary>
        /// 基本开始时间
        /// </summary>
        [Description("Basic start time\n基本开始时间")]
        public string FormCreatOnTime { get; set; }

        /// <summary>
        /// 参考日期
        /// </summary>
        [Description("Reference date Month/day\n参考日期")]
        public string ReferenceOnDate { get; set; }

        /// <summary>
        /// 参考时间
        /// </summary>
        [Description("Reference time\n参考时间")]
        public string ReferenceOnTime { get; set; }

        /// <summary>
        /// 故障描述
        /// </summary>
        [Description("Failure description\n故障描述")]
        public string FaultSymptoms { get; set; }

        /// <summary>
        /// 维修人员
        /// </summary>
        [Description("Repair personnel\n维修人员")]
        public string RepairPersonnel { get; set; }

        /// <summary>
        /// 修理开始时间月/日
        /// </summary>
        [Description("Repair Start Time\n修理开始时间月/日")]
        public string RepairStartDate { get; set; }

        /// <summary>
        /// 修理完成时间月/日
        /// </summary>
        [Description("Repair finish Time\n修理完成时间月/日")]
        public string RepairFinishDate { get; set; }

        /// <summary>
        /// 故障原因
        /// </summary>
        [Description("Fault Cause \n故障原因")]
        public string MaintainCause { get; set; }

        /// <summary>
        /// 维修内容
        /// </summary>
        [Description("Repair Contents\n维修内容")]
        public string MaintainContent { get; set; }

        /// <summary>
        /// 配件
        /// </summary>
        [Description("Replacement Accessories\n配件")]
        public string Accessories { get; set; }

        /// <summary>
        /// 停机时长（H）
        /// </summary>
        [Description("Downtime\n停机时长\n（H）")]
        public decimal Downtime { get; set; }

        /// <summary>
        /// 维修工时（H）
        /// </summary>
        [Description("Repair Duration\n维修工时\n（H）")]
        public decimal RepairDuration { get; set; }

        /// <summary>
        /// 维修方式
        /// </summary>
        [Description("maintenance mode\n维修方式")]
        public string Maintenance { get; set; }

        /// <summary>
        /// 现象区分
        /// </summary>
        [Description("Fault symptom differentiation\n现象区分")]
        public string SymptomlDistinction { get; set; }

        /// <summary>
        /// 验证编号
        /// </summary>
        [Description("Verification number\n验证编号")]
        public string ValidateNo { get; set; }

        /// <summary>
        /// 生产部门-确认设备恢复人
        /// </summary>
        [Description("Application Department Confirmation/personnel\n申请部门确认人")]
        public string ComplateBy { get; set; }

        /// <summary>
        /// 生产部门-确认设备恢复日期
        /// </summary>
        [Description("Application Department Confirmation/Date\n申请部门确认/日期")]
        public string ComplateDate { get; set; }

        /// <summary>
        /// 生产部门-确认设备恢复时间
        /// </summary>
        [Description("Application Department Confirmation/Date\n申请部门确认/时间")]
        public string ComplateTime { get; set; }
    }
}
